
# RightFieldsObject class:
# simply extends MT::Object, allowing data access through MT's object model

package RightFieldsObject;
use strict;
use MT::Object;
@RightFieldsObject::ISA = qw( MT::Object );
{
	local $SIG{__WARN__} = sub {  }; 
	__PACKAGE__->install_properties({});
}

sub set_properties {
	my $class = shift;
	my ($properties) = @_;
	$properties->{'audit'} = 0;
	__PACKAGE__->install_properties($properties);
}

	# need to override this to get rid of the "unknown column" check
	# introduced in MT 3.3
use vars qw( $AUTOLOAD );
sub AUTOLOAD {
    my $obj = $_[0];
    (my $col = $AUTOLOAD) =~ s!.+::!!;
    no strict 'refs';
    *$AUTOLOAD = sub {
        shift()->column($col, @_);
    };
    goto &$AUTOLOAD;
}

1;